function mtx = anglesToMtx(A, B, C)
%ANGLESTOMTX Converts yaw, pitch and roll to rotation matrix.
%
% mtx = anglesToMtx(A)
% mtx = anglesToMtx(A, B, C)
%
% Arguments:
%   A: if one argumet is used, then it is [yaw; pitch; roll], otherwise yaw
%   B: pitch
%   C: roll
% Return value:
%   mtx: The rotation matrix
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    1     25.5.2010 15:28:05       Initial revision

if (nargin == 1)
  A = A*pi/180;
  mtx = mtxRotateZ(A(3)) * mtxRotateY(A(2)) * mtxRotateX(A(1));
else
  A = A*pi/180;
  B = B*pi/180;
  C = C*pi/180;
  mtx = mtxRotateZ(C) * mtxRotateY(B) * mtxRotateX(A);
end
  
end
