function mmClose(robot)
%MMCLOSE Closes communication with robot.
%COMMONARGS robot
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    1     30.4.2010 17:05:56       Initial revision

  %reset alarm
  mmPurge(robot);

  %get the state and turn off the servo if needed
  runst = mmGetState(robot);
  runst = mmParseRunState(runst);

  if (runst.ServoOn)
      mmSrvOff(robot);
      mmWaitForServoOff(robot);
  end

  if (runst.ControlOn)
      mmCntlOff(robot);
  end


  mmPrintf(robot, 'CLOSE');
  mmScanf(robot);
  mmReleaseCom(robot);
  robot.com.close();
  robot.com = [];
    
end
