function comprops = mmComprops_Serial(BaudRate, DataBits, Parity, StopBits, DataTerminalReady, RequestToSend, ...
                                     Terminator)
%MMCOMPROPS_SERIAL Creates serial object properties structure. The properties' names must match to the serial object properties' names.
%
% comprops = mmComprops_Serial(BaudRate, DataBits, Parity, StopBits, DataTerminalReady, RequestToSend, Terminator)
%
%   
%
% Input/output:
%   comProps .. the structure.
%   BaudRate, DataBits, Parity, StopBits, DataTerminalReady, RequestToSend, Terminator .. see Serial documentation
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    1     30.4.2010 17:05:56       Initial revision

comprops = [];
comprops.BaudRate = BaudRate;
comprops.DataBits = DataBits;
comprops.Parity = Parity;
comprops.StopBits = StopBits;
comprops.DataTerminalReady = DataTerminalReady;
comprops.RequestToSend = RequestToSend;
comprops.Terminator = Terminator;

end
