function robot = mmCreateRobot(robotname, varargin)
%MMCREATEROBOT Creates a instance of a robot structure.
%
% robot = mmCreateRobot(robotname, varargin)
%
% Creates a instance of a Melfa Robot structure with the name of "robotname".
% Used for simulation purposes.
% Varargin input are pairs 'propertyName', 'propertyValue', and those pairs are assigned to the robot.
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    1     20.7.2010 16:31:36       Initial revision

  if( nargin < 1 )
    mmRobots
    error('Melfa Robot name required.')
  end

  robot = feval(['mmRobot_',robotname]);
  
  if (nargin > 1)
    for i=1:2:(length(varargin)/2+1)
      set( robot, varargin{i}, varargin{i+1} );
    end
  end

end
