function [pos flags r] = mmGetPos2(robot, type)
%MMGETPOS2 Returns the coordinates of selected type.
%COMMONARGS r, robot
%
% Usage:
% [pos flags r] = mmGetPos(robot, type);
%
% Returns only the coordinates, without addidional data. 
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    1     9.7.2010 14:09:47        Initial revision

  [~, values, numJoints, r] = mmGetPos(robot, type);

  if (numJoints > 1)
    pos = values(1:numJoints);
  else
    pos = NaN;
  end

  flags = values(numJoints+1:numJoints+2);

end
