function [varValue r] = mmGetVar(robot, varName)
%MMGETVAR Reads a variable and returns its value.
%COMMONARGS r, robot
%
% Input arguments:
%   varName: Name of the variable
% Return value:
%   varValue: Value of the variable
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    1     30.4.2010 17:05:56       Initial revision

[~, r1] = mmExec(robot, 'M1=%s', varName);
[reply r2] = mmSendCmd(robot, ['VAL' robot.topVariableSign ';M1']);

r = r1 | r2;

if (r == 0)
  varValue = str2double(substr(reply, 6));
else
  varValue = -1;
end

end
