function J = mmIkt(robot, P)
%MMIKT The inverse kinematic task (specific for each robot).
%COMMONARGS robot
%
% X = mmIkt(robot, P);
%
% Arguments:
%   P: P = [x; y; z; A; B; C] - Position and rotation column vector, where
%      x, y, z are the coordinates and A, B, C are yaw, pitch and roll.
% 
% Return values:
%   J: Joint coordinates, filtered by the value ranges only. Maximum number
%      of solutions is 8. Returns NaN column vector if the position is not
%      reachable.
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    3     24.8.2011 13:05:22       Fixed joint 6
% Martin Meloun                    2     12.10.2010 16:10:32      Corrected DH notation
% Martin Meloun                    1     25.5.2010 15:28:05       Initial revision

J = robot.ikt(robot, P);

end
