function [reply rs] = mmMovLinSafe(robot, type, pos, flags, args)
%MMMOVLINSAFE Exact operation as mmMovLin with error checking right after.
%COMMONARGS robot
%
% See mmMovLin for documentation.
%
% Input arguments:
%   - exact as for mmMovLin function
%
% Return values:
%   reply: as in mmMovLin function
%   rs: 0 if there is no error, 1 communication error, otherwise error number
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    2     12.10.2010 16:10:32      Added option for specifying flags
% Martin Meloun                    1     30.4.2010 17:05:56       Initial revision

if (nargin == 5)
  [reply rs] = mmMovLin(robot, type, pos, flags, args);
elseif (nargin == 4)
  [reply rs] = mmMovLin(robot, type, pos, flags);
else
  [reply rs] = mmMovLin(robot, type, pos);
end

if (rs == 0)
  %ensure it is really ok
  [~, ~, errno] = mmGetState(robot);
  rs = errno;
end

end
