function [reply r] = mmMovToolZ(robot, distance)
%MMMOVTOOLZ Moves the robot using linear interpolation.
%COMMONARGS r, robot
%
% [reply r] = mmMovToolZ(robot, toolZpos);
%
% Arguments:
%   distance: how much to adjust the tool by Z coordinate in milimetres
% 
% Return values:
%   reply:  Reply message from the robot.
%
% The movement inplementation is asynchronous. Use 'mmWaitForStop' in order
% to wait until the movement is complete (or error is thrown).
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    1     30.4.2010 17:05:56       Initial revision

if (robot.secureMovement)
  robot.throwErr('INVALID_COMMAND', 'MovToolZ cannot be used with secure movement set to on.');
end

[reply r] = mmExec(robot, 'MVS ,%d', distance);

end
