function robot = mmOpenVirt(robotname, varargin)
%MMOPEN Opens a virtual Melfa Robot.
%
% robot = mmOpenVirt(robotname, varargin)
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    1     18.8.2011 14:46:55       Initial revision

  com_in_arg = 0;
  comprops_in_arg = 0;
  args = varargin;
  
  if (nargin > 1)
    for i=1:2:(length(varargin)/2+1)
      if (strcmp(args{i},'comtype'))
        com_in_arg = 1;
        args{i+1} = 'MelfaVirtSim';
        continue;
      end
      
      if (strcmp(args{i},'comprops'))
        comprops_in_arg = 1;
        args{i+1} = [];
        continue;
      end
        
    end
  end
  
  if (~com_in_arg)
    args = [args, {'comtype', 'MelfaVirtSim'}];
  end

  if (~comprops_in_arg)
    args = [args, {'comprops', []}];
  end
  
  robot = mmOpen(robotname, args{:});
end
