function names = mmRobots()
%MMROBOTS Lists available Melfa Robots implemented in the toolbox.
%   Adapted from BlueBot toolbox.
%
%   mmRobots 
%   names = mmRobots
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Matousek, Martin Meloun (Mitsubishi Melfa Toolbox adaptaion only)
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    3     25.5.2010 15:28:05       Added RV-6SDL definition
% Martin Meloun                    2     30.4.2010 16:53:58       Mitsubishi Melfa Toolbox adaptaion
% Martin Matousek                  1     17.2.2010 17:51:32       BlueBot release

a = dbstack( '-completenames' );
pth = fileparts( a(1).file );
n = dir( [ pth filesep 'mmRobot_*.m' ] );
nms = cell( length( n ), 1 );

maxlen = 0;
for i = 1:length(nms)
  nms{i} = n(i).name( 9:end-2 );
  maxlen = max( maxlen, length( nms{i} ) );
end

if( nargout < 1 )
  fprintf( 'Available Melfa Robot definitions:\n' );
  for i = 1:length( nms )

    fprintf( '  %-*s', maxlen, nms{i} )
    robot = feval( [ 'mmRobot_' nms{i} ]);
    fprintf( ' .. %s', robot.description );
    fprintf( '\n' );
  end
else
  names = nms;
end
