function [correctCount incorrectCount incorrectConformations testedConformations] ...
  = mmTestKinematics(robot)
%MMTESTKINEMATICS Tests inverse kinematic task (requires correct direct kinematic task)
%COMMONARGS robot
%
% [correctCount incorrectCount incorrectConformations testedConformations] = mmTestKinematics(robot)
%
% Return Values:
%   correctCount: number of correct solutions
%   incorrectCount: number of incorrect solutions
%   incorrectConformations: incorrectly calculated solutions of ikt
%   testedConformations: tested joint coordinates for the incorrect
%     solution with same index
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    1     25.5.2010 15:28:05       Initial revision

[correctCount incorrectCount incorrectConformations testedConformations] = robot.testKinematics(robot);

end
