function rtrobot = mmrtCreateInteractiveRobot(mmrobot)
%MMRTCREATEINTERACTIVEROBOT Creates Robot Toolbox robot instance.
%COMMONARGS mmrobot (as robot)
%
% Returns Robot Toolbox robot instance.
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    1     18.7.2011 14:54:38       Initial revision

  L = cell(1, size(mmrobot.denavitHartenberg,2));
  
  for i=1:size(mmrobot.denavitHartenberg,2)
    L{i} = link([mmrobot.denavitHartenberg(1,i), mmrobot.denavitHartenberg(2,i), 0, ... 
      mmrobot.denavitHartenberg(4,i), 0, mmrobot.denavitHartenberg(3,i)], 'standard');
  end

  %NAME: robot toolbox identificator (give it hat) 
  rtrobot = robot(L, [mmrobot.name sprintf('%f', hat)], mmrobot.description, '');
  rtrobot.plotopt{1} = 'noname';
  
end
