function mmrtPlotRobot(robot, jointCoordinates, newfig)
%MMRTPLOTROBOT Plots the robot rigid body with specified coordinates.
%COMMONARGS robot
% mmrtPlotRobot(robot, jointCoordinates [, newfig]);
%
% Arguments:
%   jointCoordinates: 6x1 vector, coordinates for the joints
% 
% Optional Arguments:
%   newfig:   Do not create a new figure for plotting.
% 
% MITSUBISHI MELFA TOOLBOX v1.4
% (C) Martin Meloun
% 
% Mitsubishi Melfa Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Mitsubishi Melfa Toolbox is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Leser General Public License
% along with Mitsubishi Melfa Toolbox. If not, see <http://www.gnu.org/licenses/>.
% 
% Author:                  Revision:     Date:                    Reason:
% Martin Meloun                    1     18.7.2011 14:54:38       Initial revision

  if (nargin < 3)
    newfig = 1;
  end

  if (newfig)
    figure('Name', robot.description, 'NumberTitle', 'off');
  end
  
  rtrobot=mmrtCreateInteractiveRobot(robot);
  plot(rtrobot, (jointCoordinates')*pi/180);

end
